Create sub-wallet deposit address
curl --request POST \
--url https://cc.nadcab.com/api/v1/account/createSubWallet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data chain=TRX \
--data currency=USDT \
--data name=xc999const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({chain: 'TRX', currency: 'USDT', name: 'xc999'})
};
fetch('https://cc.nadcab.com/api/v1/account/createSubWallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/account/createSubWallet"
payload = {
"chain": "TRX",
"currency": "USDT",
"name": "xc999"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/account/createSubWallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "chain=TRX¤cy=USDT&name=xc999",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 1,
"msg": "success",
"data": "TXLUrvY9grnaCiiBgF1Vk9T3mZkDCLh5cu"
}Account
Create sub-wallet deposit address
Create a wallet address for one of your platform users. Funds deposited to it are credited to your Nadcab Labs account.
POST
/
account
/
createSubWallet
Create sub-wallet deposit address
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Body
application/x-www-form-urlencoded